# Gimp.Vector3

    const Gimp = imports.gi.Gimp;

    let vector3 = new Gimp.Vector3({
        x: value
        y: value
        z: value
    });

A three dimensional vector.

## Constructors

- Gimp.Vector3.new

## Methods

- Gimp.Vector3.prototype.add_val
- Gimp.Vector3.prototype.cross_product
- Gimp.Vector3.prototype.cross_product_val
- Gimp.Vector3.prototype.inner_product
- Gimp.Vector3.prototype.inner_product_val
- Gimp.Vector3.prototype.length
- Gimp.Vector3.prototype.length_val
- Gimp.Vector3.prototype.mul
- Gimp.Vector3.prototype.mul_val
- Gimp.Vector3.prototype.neg
- Gimp.Vector3.prototype.neg_val
- Gimp.Vector3.prototype.normalize
- Gimp.Vector3.prototype.normalize_val
- Gimp.Vector3.prototype.rotate
- Gimp.Vector3.prototype.rotate_val
- Gimp.Vector3.prototype.set
- Gimp.Vector3.prototype.sub_val

## Static Functions

- Gimp.Vector3.add
- Gimp.Vector3.sub

## Fields

- x
- y
- z